using Duotris;

var builder = WebApplication.CreateBuilder(args);

builder.Services.AddSingleton<IGameList, GameList>();
builder.Services.AddSingleton<IPlayerQueue, PlayerQueue>();            

builder.Services.AddControllers();

builder.Services.AddSignalR();
 
var app = builder.Build();

if (app.Environment.IsDevelopment())
{
    app.UseDeveloperExceptionPage();
}

app.UseFileServer();
app.UseRouting();

app.MapControllers();
app.MapHub<DuotrisHub>("duotrishub");

app.Run();
